
public class Class515_Sub1_Sub4_Sub6 extends Class515_Sub1_Sub4 implements Interface20 {

   Class571 aClass571_10825;
   public Class209 aClass209_10826;
   boolean aBool10827;
   boolean aBool10828 = true;


   public int method99(int var1) {
      return this.aClass209_10826.anInt2470 * 1695748883;
   }

   public int method29() {
      return this.aClass209_10826.anInt2470 * 1695748883;
   }

   boolean method13451(byte var1) {
      return this.aBool10828;
   }

   public int method13404(byte var1) {
      return this.aClass209_10826.method3564(-1325541756);
   }

   public Class571 method13400(Class545 var1, int var2) {
      return this.aClass571_10825;
   }

   public Class515_Sub1_Sub4_Sub6(Class241 var1, Class545 var2, Class448 var3, Class445 var4, int var5, int var6, int var7, int var8, int var9, boolean var10, int var11, int var12, int var13, int var14, int var15, int var16, int var17) {
      super(var1, var5, var6, var7, var8, var9, var11, var12, var13, var14, var4.anInt5528 * 1513300481 == 1, Class1.method319(var15, var16, (byte)111));
      this.aClass209_10826 = new Class209(var2, var3, var4, var15, var16, this.aByte8443, var6, this, var10, var17);
      this.aBool10827 = 0 != var4.anInt5544 * -22824303 && !var10;
      this.method13408(1, -867096999);
   }

   Class579 method13398(Class545 var1, byte var2) {
      Class568 var3 = this.aClass209_10826.method3558(var1, 2048, false, true, (byte)-83);
      if(null == var3) {
         return null;
      } else {
         Class328 var4 = this.method10915();
         Class579 var5 = Class212.method3640(this.aBool10827, (byte)-11);
         this.aClass209_10826.method3559(var1, var3, var4, this.aShort10430, this.aShort10429, this.aShort10424, this.aShort10426, true, (byte)61);
         var3.method12069(var4, this.aClass89Array8446[0], 0);
         if(null != this.aClass209_10826.aClass528_2484) {
            Class97 var6 = this.aClass209_10826.aClass528_2484.method11119();
            var1.method11711(var6);
         }

         this.aBool10828 = var3.i() || this.aClass209_10826.aClass528_2484 != null;
         Class325 var7 = this.method10913();
         if(this.aClass571_10825 == null) {
            this.aClass571_10825 = Class225_Sub3.method13342((int)var7.aClass326_4031.aFloat4036, (int)var7.aClass326_4031.aFloat4037, (int)var7.aClass326_4031.aFloat4033, var3, (byte)-58);
         } else {
            Class356_Sub3.method14399(this.aClass571_10825, (int)var7.aClass326_4031.aFloat4036, (int)var7.aClass326_4031.aFloat4037, (int)var7.aClass326_4031.aFloat4033, var3, -1730978688);
         }

         return var5;
      }
   }

   void method13402(Class545 var1, int var2) {
      Class568 var3 = this.aClass209_10826.method3558(var1, 262144, true, true, (byte)34);
      if(var3 != null) {
         this.aClass209_10826.method3559(var1, var3, this.method10915(), this.aShort10430, this.aShort10429, this.aShort10424, this.aShort10426, false, (byte)43);
      }

   }

   public void method16761(Class469 var1, short var2) {
      this.aClass209_10826.method3556(var1, -761847293);
   }

   boolean method13391(Class545 var1, int var2, int var3, int var4) {
      Class568 var5 = this.aClass209_10826.method3558(var1, 131072, false, false, (byte)-51);
      return var5 == null?false:var5.method12070(var2, var3, this.method10915(), false, 0);
   }

   final void method13424(Class545 var1, Class515_Sub1 var2, int var3, int var4, int var5, boolean var6, int var7) {
      throw new IllegalStateException();
   }

   public int method87(int var1) {
      return 615620455 * this.aClass209_10826.anInt2472;
   }

   public void method16762(Class469 var1) {
      this.aClass209_10826.method3556(var1, 1049341705);
   }

   boolean method13393() {
      return this.aBool10828;
   }

   public int method89(byte var1) {
      return 452908099 * this.aClass209_10826.anInt2471;
   }

   boolean method13409() {
      return false;
   }

   public void method88(byte var1) {}

   public boolean method86(int var1) {
      return this.aClass209_10826.method3560(-575180280);
   }

   public void method90(Class545 var1, int var2) {
      this.aClass209_10826.method3561(var1, 1513350388);
   }

   boolean method13426() {
      return false;
   }

   public int method39() {
      return this.aClass209_10826.anInt2470 * 1695748883;
   }

   public int method40() {
      return this.aClass209_10826.anInt2470 * 1695748883;
   }

   public int method34() {
      return this.aClass209_10826.anInt2470 * 1695748883;
   }

   public void method98() {}

   boolean method13394(byte var1) {
      return false;
   }

   public int method91() {
      return 452908099 * this.aClass209_10826.anInt2471;
   }

   public int method92() {
      return 452908099 * this.aClass209_10826.anInt2471;
   }

   public int method93() {
      return 452908099 * this.aClass209_10826.anInt2471;
   }

   public int method13417() {
      return this.aClass209_10826.method3575(-44735322);
   }

   public int method95() {
      return 615620455 * this.aClass209_10826.anInt2472;
   }

   public void method96() {}

   public void method97() {}

   static byte method16763(int var0, int var1) {
      return (byte)(var0 != Class458.aClass458_5717.anInt5719 * -1372814303?0:(0 == (var1 & 1)?1:2));
   }

   public boolean method84() {
      return this.aClass209_10826.method3560(-575180280);
   }

   public boolean method100() {
      return this.aClass209_10826.method3560(-575180280);
   }

   public void method101(Class545 var1) {
      this.aClass209_10826.method3561(var1, 1408118270);
   }

   public int method94() {
      return 615620455 * this.aClass209_10826.anInt2472;
   }

   final boolean method13449() {
      return false;
   }

   boolean method13431() {
      return this.aBool10828;
   }

   boolean method13410() {
      return this.aBool10828;
   }

   boolean method13411() {
      return this.aBool10828;
   }

   public int method13418() {
      return this.aClass209_10826.method3575(-876206678);
   }

   final void method13430() {
      throw new IllegalStateException();
   }

   public void method102(Class545 var1) {
      this.aClass209_10826.method3585(var1, 491504110);
   }

   public int method13414() {
      return this.aClass209_10826.method3564(-185685268);
   }

   public int method13415() {
      return this.aClass209_10826.method3564(-2053545314);
   }

   public Class571 method13416(Class545 var1) {
      return this.aClass571_10825;
   }

   public int method83() {
      return 452908099 * this.aClass209_10826.anInt2471;
   }

   boolean method13452(Class545 var1, int var2, int var3) {
      Class568 var4 = this.aClass209_10826.method3558(var1, 131072, false, false, (byte)15);
      return var4 == null?false:var4.method12070(var2, var3, this.method10915(), false, 0);
   }

   Class579 method13419(Class545 var1) {
      Class568 var2 = this.aClass209_10826.method3558(var1, 2048, false, true, (byte)-14);
      if(null == var2) {
         return null;
      } else {
         Class328 var3 = this.method10915();
         Class579 var4 = Class212.method3640(this.aBool10827, (byte)-34);
         this.aClass209_10826.method3559(var1, var2, var3, this.aShort10430, this.aShort10429, this.aShort10424, this.aShort10426, true, (byte)26);
         var2.method12069(var3, this.aClass89Array8446[0], 0);
         if(null != this.aClass209_10826.aClass528_2484) {
            Class97 var5 = this.aClass209_10826.aClass528_2484.method11119();
            var1.method11711(var5);
         }

         this.aBool10828 = var2.i() || this.aClass209_10826.aClass528_2484 != null;
         Class325 var6 = this.method10913();
         if(this.aClass571_10825 == null) {
            this.aClass571_10825 = Class225_Sub3.method13342((int)var6.aClass326_4031.aFloat4036, (int)var6.aClass326_4031.aFloat4037, (int)var6.aClass326_4031.aFloat4033, var2, (byte)21);
         } else {
            Class356_Sub3.method14399(this.aClass571_10825, (int)var6.aClass326_4031.aFloat4036, (int)var6.aClass326_4031.aFloat4037, (int)var6.aClass326_4031.aFloat4033, var2, -1669606102);
         }

         return var4;
      }
   }

   void method13412(Class545 var1) {
      Class568 var2 = this.aClass209_10826.method3558(var1, 262144, true, true, (byte)19);
      if(var2 != null) {
         this.aClass209_10826.method3559(var1, var2, this.method10915(), this.aShort10430, this.aShort10429, this.aShort10424, this.aShort10426, false, (byte)121);
      }

   }

   void method13421(Class545 var1) {
      Class568 var2 = this.aClass209_10826.method3558(var1, 262144, true, true, (byte)-36);
      if(var2 != null) {
         this.aClass209_10826.method3559(var1, var2, this.method10915(), this.aShort10430, this.aShort10429, this.aShort10424, this.aShort10426, false, (byte)96);
      }

   }

   void method13422(Class545 var1) {
      Class568 var2 = this.aClass209_10826.method3558(var1, 262144, true, true, (byte)117);
      if(var2 != null) {
         this.aClass209_10826.method3559(var1, var2, this.method10915(), this.aShort10430, this.aShort10429, this.aShort10424, this.aShort10426, false, (byte)57);
      }

   }

   void method13432(Class545 var1) {
      Class568 var2 = this.aClass209_10826.method3558(var1, 262144, true, true, (byte)61);
      if(var2 != null) {
         this.aClass209_10826.method3559(var1, var2, this.method10915(), this.aShort10430, this.aShort10429, this.aShort10424, this.aShort10426, false, (byte)107);
      }

   }

   public void method85(Class545 var1, int var2) {
      this.aClass209_10826.method3585(var1, 781581978);
   }

   public void method16764(Class469 var1) {
      this.aClass209_10826.method3556(var1, -337139117);
   }

   public void method16765(Class469 var1) {
      this.aClass209_10826.method3556(var1, 1437692860);
   }

   public int method13406(int var1) {
      return this.aClass209_10826.method3575(-674792393);
   }

   final boolean method13447() {
      return false;
   }

   final void method13395(Class545 var1, Class515_Sub1 var2, int var3, int var4, int var5, boolean var6) {
      throw new IllegalStateException();
   }

   final boolean method13427() {
      return false;
   }

   final void method13407() {
      throw new IllegalStateException();
   }

   final void method13429() {
      throw new IllegalStateException();
   }

   final void method13397(int var1) {
      throw new IllegalStateException();
   }

   final boolean method13423(byte var1) {
      return false;
   }

   final void method13396(Class545 var1, Class515_Sub1 var2, int var3, int var4, int var5, boolean var6) {
      throw new IllegalStateException();
   }
}
